Module ij
Package ij.process

# Interface Blitter

All Known Implementing Classes:
  `ByteBlitter`, `ColorBlitter`, `FloatBlitter`, `ShortBlitter`

public interface Blitter
ImageJ bit blitting classes must implement this interface.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ADD`
dst=dst+src
`static final int`
`AND`
dst=dst AND src
`static final int`
`AVERAGE`
dst=(dst+src)/2
`static final int`
`COPY`
dst=src
`static final int`
`COPY_INVERTED`
dst=255-src (8-bits and RGB)
`static final int`
`COPY_TRANSPARENT`
Copies with white pixels transparent.
`static final int`
`COPY_ZERO_TRANSPARENT`
Copies with zero pixels transparent.
`static final int`
`DIFFERENCE`
dst=abs(dst-src)
`static final int`
`DIVIDE`
dst=dst/src
`static final int`
`MAX`
dst=max(dst,src)
`static final int`
`MIN`
dst=min(dst,src)
`static final int`
`MULTIPLY`
dst=src*src
`static final int`
`OR`
dst=dst OR src
`static final int`
`SUBTRACT`
dst=dst-src
`static final int`
`XOR`
dst=dst XOR src

## Method Summary

Modifier and Type
Method
Description
`void`
`copyBits(ImageProcessor src, int x, int y, int mode)`
Copies the image in 'src' to (x,y) using the specified mode.
`void`
`setTransparentColor(Color c)`
Sets the transparent color used in the COPY_TRANSPARENT mode (default is Color.white).

## Field Details

### COPY

static final int COPY
dst=src

See Also:
  - Constant Field Values

### COPY_INVERTED

static final int COPY_INVERTED
dst=255-src (8-bits and RGB)

See Also:
  - Constant Field Values

### COPY_TRANSPARENT

static final int COPY_TRANSPARENT
Copies with white pixels transparent.

See Also:
  - Constant Field Values

### ADD

static final int ADD
dst=dst+src

See Also:
  - Constant Field Values

### SUBTRACT

static final int SUBTRACT
dst=dst-src

See Also:
  - Constant Field Values

### MULTIPLY

static final int MULTIPLY
dst=src*src

See Also:
  - Constant Field Values

### DIVIDE

static final int DIVIDE
dst=dst/src

See Also:
  - Constant Field Values

### AVERAGE

static final int AVERAGE
dst=(dst+src)/2

See Also:
  - Constant Field Values

### DIFFERENCE

static final int DIFFERENCE
dst=abs(dst-src)

See Also:
  - Constant Field Values

### AND

static final int AND
dst=dst AND src

See Also:
  - Constant Field Values

### OR

static final int OR
dst=dst OR src

See Also:
  - Constant Field Values

### XOR

static final int XOR
dst=dst XOR src

See Also:
  - Constant Field Values

### MIN

static final int MIN
dst=min(dst,src)

See Also:
  - Constant Field Values

### MAX

static final int MAX
dst=max(dst,src)

See Also:
  - Constant Field Values

### COPY_ZERO_TRANSPARENT

static final int COPY_ZERO_TRANSPARENT
Copies with zero pixels transparent.

See Also:
  - Constant Field Values

## Method Details

### setTransparentColor

void setTransparentColor(Color c)
Sets the transparent color used in the COPY_TRANSPARENT mode (default is Color.white).

### copyBits

void copyBits(ImageProcessor src, int x, int y, int mode)
Copies the image in 'src' to (x,y) using the specified mode.